Bug 1702878 - Errata counts aren't similar between the satellite content-hosts view and the export csv
Summary: Errata counts aren't similar between the satellite content-hosts view and the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.4.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Anand Agrawal
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-25 04:20 UTC by Anand Agrawal
Modified: 2020-07-27 14:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26678 0 Normal Closed Errata counts aren't similar between the content-hosts view and the export csv 2020-10-27 09:40:33 UTC

Description Anand Agrawal 2019-04-25 04:20:23 UTC
Description of problem:
Export CSV from content hosts page do not match the errata count from the Satellite web UI

Version-Release number of selected component (if applicable):
6.4.2

How reproducible:
Always

Steps to Reproduce:
1. GoTo Hosts -> Content Host
2. In the table, you will see Errata count for all hosts.
3. Click `Export` from the top. This will generate a CSV file. 
4. Errata count does not match.

Actual results:
Errata count in the CSV are different from the web UI

Expected results:
Both should show the same count

Additional info:

WEB UI is showing installable errata whereas CSV is showing applicable errata

Comment 3 Bryan Kearney 2019-04-29 16:07:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26678 has been resolved.

Comment 5 Stephen Wadeley 2019-06-05 07:19:40 UTC
Hello

Testing on 6.5 to reproduce the problem

[root@cloud-qe-21 ~]# rpm -q tfm-rubygem-katello
tfm-rubygem-katello-3.10.0.46-1.el7sat.noarch


I see column:
 Installable Updates
 Security, Bug Fix, Enhancement, Package Updates
2 0 0 2


Click "Export", open CSV file, view columns:

Installable Updates - Security
0    <--- Does not match GUI text.

Installable Updates - Bug Fixes
0

Installable Updates - Enhancements
0

Installable Updates - Package Count
2

Will test again after upgrade to latest snap.

Comment 6 Stephen Wadeley 2019-06-05 12:36:59 UTC
Hello

Testing on system updated to latest snap

[root@cloud-qe-21 ~]# rpm -q tfm-rubygem-katello
tfm-rubygem-katello-3.12.0.rc2-11.master.el7sat.noarch

Reloaded web UI, GUI text still as in comment 5

Exported CSV file again

I see "Installable Updates - Security" column is now 2

this is the same as the GUI text. Its Correct now.

Thank you

Comment 7 Bryan Kearney 2019-10-22 19:49:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.